Bug 257366 - Add Widgets -> World Clock shortly after login crushes KDE
Summary: Add Widgets -> World Clock shortly after login crushes KDE
Status: RESOLVED UNMAINTAINED
Alias: None
Product: marble
Classification: Applications
Component: plasmoid (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-19 23:17 UTC by Sandijs Aploks
Modified: 2016-12-17 19:42 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sandijs Aploks 2010-11-19 23:17:45 UTC
Application: plasma-desktop (0.3)
KDE Platform Version: 4.5.3 (KDE 4.5.3)
Qt Version: 4.7.0
Operating System: Linux 2.6.35.6-48.fc14.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
I dragged and dropped world clock icon on the plasma desktop immediately after the login, and the KDE crushed. That's all.

-- Backtrace:
Application: Plasma Workspace (plasma-desktop), signal: Illegal instruction
[Current thread is 1 (Thread 0x7fe1a4a67840 (LWP 2302))]

Thread 2 (Thread 0x7fe18b83d700 (LWP 2872)):
#0  0x00000031788db0b3 in poll () from /lib64/libc.so.6
#1  0x000000317a442374 in g_main_context_poll (context=0x7fe17c0009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0x7fe17c0009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2775
#3  0x000000317a4428ad in g_main_context_iteration (context=0x7fe17c0009b0, may_block=1) at gmain.c:2843
#4  0x0000003184586906 in QEventDispatcherGlib::processEvents (this=0x7fe17c0008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x000000318455ab42 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x000000318455ad8c in QEventLoop::exec (this=0x7fe18b83cd00, flags=...) at kernel/qeventloop.cpp:201
#7  0x000000318446fe34 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x000000318453c268 in QInotifyFileSystemWatcherEngine::run (this=0x3120620) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x000000318447264e in QThreadPrivate::start (arg=0x3120620) at thread/qthread_unix.cpp:266
#10 0x0000003179006d5b in start_thread () from /lib64/libpthread.so.0
#11 0x00000031788e4aad in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fe1a4a67840 (LWP 2302)):
[KCrash Handler]
#6  0x00007fe183587f70 in typeinfo name for Marble::GeoDataParser () from /usr/lib64/libmarblewidget.so.10
#7  0x0000003187f7e1a2 in QGraphicsItem::setCursor (this=0x2fc9690, cursor=<value optimized out>) at graphicsview/qgraphicsitem.cpp:2132
#8  0x000000318383ac1b in Plasma::AbstractIcon::mouseMoveEvent (this=0x2fc9680, event=<value optimized out>) at /usr/src/debug/kdebase-workspace-4.5.3/libs/plasmagenericshell/abstracticon.cpp:142
#9  0x0000003187f77938 in QGraphicsItem::sceneEvent (this=0x2fc9690, event=0x7fffc3336d60) at graphicsview/qgraphicsitem.cpp:6663
#10 0x0000003187fa02c0 in QGraphicsScenePrivate::sendMouseEvent (this=0x16e2f90, mouseEvent=0x7fffc3336d60) at graphicsview/qgraphicsscene.cpp:1285
#11 0x0000003187fa0e01 in QGraphicsScene::mouseMoveEvent (this=<value optimized out>, mouseEvent=0x7fffc3336d60) at graphicsview/qgraphicsscene.cpp:4085
#12 0x0000003187fb2e8b in QGraphicsScene::event (this=0x17c3280, event=0x7fffc3336d60) at graphicsview/qgraphicsscene.cpp:3437
#13 0x00000031879b4b64 in QApplicationPrivate::notify_helper (this=0x16eb7b0, receiver=0x17c3280, e=0x7fffc3336d60) at kernel/qapplication.cpp:4396
#14 0x00000031879b95da in QApplication::notify (this=<value optimized out>, receiver=0x17c3280, e=0x7fffc3336d60) at kernel/qapplication.cpp:4277
#15 0x0000003185a20446 in KApplication::notify (this=0x16d9230, receiver=0x17c3280, event=0x7fffc3336d60) at /usr/src/debug/kdelibs-4.5.3/kdeui/kernel/kapplication.cpp:310
#16 0x000000318455b7ac in QCoreApplication::notifyInternal (this=0x16d9230, receiver=0x17c3280, event=0x7fffc3336d60) at kernel/qcoreapplication.cpp:732
#17 0x0000003187fc8e9f in QGraphicsViewPrivate::mouseMoveEventHandler (this=0x2fc8ce0, event=0x7fffc3337910) at graphicsview/qgraphicsview.cpp:647
#18 0x0000003187fc908e in QGraphicsView::mouseMoveEvent (this=0x2f767c0, event=0x7fffc3337910) at graphicsview/qgraphicsview.cpp:3272
#19 0x0000003187a0625c in QWidget::event (this=0x2f767c0, event=0x7fffc3337910) at kernel/qwidget.cpp:8172
#20 0x0000003187daa386 in QFrame::event (this=0x2f767c0, e=0x7fffc3337910) at widgets/qframe.cpp:557
#21 0x0000003187fcd82b in QGraphicsView::viewportEvent (this=0x2f767c0, event=0x7fffc3337910) at graphicsview/qgraphicsview.cpp:2862
#22 0x000000318455b937 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x2f39ec0, event=0x7fffc3337910) at kernel/qcoreapplication.cpp:847
#23 0x00000031879b4b31 in QApplicationPrivate::notify_helper (this=0x16eb7b0, receiver=0x2f39ec0, e=0x7fffc3337910) at kernel/qapplication.cpp:4392
#24 0x00000031879b9e5a in QApplication::notify (this=<value optimized out>, receiver=0x2f39ec0, e=0x7fffc3337910) at kernel/qapplication.cpp:3959
#25 0x0000003185a20446 in KApplication::notify (this=0x16d9230, receiver=0x2f39ec0, event=0x7fffc3337910) at /usr/src/debug/kdelibs-4.5.3/kdeui/kernel/kapplication.cpp:310
#26 0x000000318455b7ac in QCoreApplication::notifyInternal (this=0x16d9230, receiver=0x2f39ec0, event=0x7fffc3337910) at kernel/qcoreapplication.cpp:732
#27 0x00000031879b5b65 in sendEvent (receiver=0x2f39ec0, event=0x7fffc3337910, alienWidget=0x2f39ec0, nativeWidget=0x2e15fc0, buttonDown=0x3188482658, lastMouseReceiver=..., spontaneous=true) at ../../src/corelib/kernel/qcoreapplication.h:215
#28 QApplicationPrivate::sendMouseEvent (receiver=0x2f39ec0, event=0x7fffc3337910, alienWidget=0x2f39ec0, nativeWidget=0x2e15fc0, buttonDown=0x3188482658, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3058
#29 0x0000003187a32d68 in QETWidget::translateMouseEvent (this=0x2e15fc0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4403
#30 0x0000003187a314b9 in QApplication::x11ProcessEvent (this=0x16d9230, event=0x7fffc3338260) at kernel/qapplication_x11.cpp:3536
#31 0x0000003187a58a52 in x11EventSourceDispatch (s=0x16eeff0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#32 0x000000317a441e33 in g_main_dispatch (context=0x16eddf0) at gmain.c:2149
#33 g_main_context_dispatch (context=0x16eddf0) at gmain.c:2702
#34 0x000000317a442610 in g_main_context_iterate (context=0x16eddf0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#35 0x000000317a4428ad in g_main_context_iteration (context=0x16eddf0, may_block=1) at gmain.c:2843
#36 0x00000031845868af in QEventDispatcherGlib::processEvents (this=0x16bf700, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#37 0x0000003187a586ee in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#38 0x000000318455ab42 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#39 0x000000318455ad8c in QEventLoop::exec (this=0x7fffc3338570, flags=...) at kernel/qeventloop.cpp:201
#40 0x000000318455f20b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#41 0x0000003190638058 in kdemain (argc=1, argv=0x7fffc3338968) at /usr/src/debug/kdebase-workspace-4.5.3/plasma/desktop/shell/main.cpp:118
#42 0x000000317881ee7d in __libc_start_main (main=0x400920 <main(int, char**)>, argc=1, ubp_av=0x7fffc3338968, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffc3338958) at libc-start.c:226
#43 0x0000000000400849 in _start ()

Reported using DrKonqi
Comment 1 Dario Andres 2011-01-01 15:41:45 UTC
[Comment from a bug triager]
This is likely to be related to bug 259156.
- Does Plasma crash again if you repeat the situation ? If you do, does this happen with other widgets at well (instead of the World Clock)
Regards
Comment 2 Friedrich W. H. Kossebau 2016-12-17 19:42:45 UTC
Thanks for the report. Sadly it seems to never have been solved?
The Plasma worldclock widget has been rewritten now in QML for Plasma5 (and lacking some of the old features still, especially timezones).
The old code is no longer maintained, so closing this now.

Please try the new widget and report any issues or features you would like to see (re-)implemented.
See also https://frinring.wordpress.com/2016/08/04/wip-plasma-world-map-wallpaper-world-clock-applet-powered-by-marble/